### Method

# Fwupd Device match_flags

#### Declaration [src]

    gboolean
    fwupd_device_match_flags (
      FwupdDevice* self,
      FwupdDeviceFlags include,
      FwupdDeviceFlags exclude
    )

#### Description [src]

Check if the device flags match.

Available since: | 1.9.3

#### Parameters

`include` | `FwupdDeviceFlags`
| `FwupdDeviceFlags`, or `FWUPD_DEVICE_FLAG_NONE`.
`exclude` | `FwupdDeviceFlags`
| `FwupdDeviceFlags`, or `FWUPD_DEVICE_FLAG_NONE`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the device flags match.